<span *ngIf="router.url != '/login'">
  <nav class="navbar navbar-expand-lg navbar-light">
    <div class="container-fluid">
      <div id="sidebarCollapse" class="cursorPointer">
        <i class="fa fa-bars"></i>
      </div>
      <!--<span class="badge badge-pill orange licenceValidityMsg" *ngIf="licenceValidityMessage">{{licenceValidityMessage}}</span>-->
      <div class="licenceValidityMsg" *ngIf="licenceValidityMessage"><span class="blink">{{licenceValidityMessage}}</span></div>
      <span *ngIf="showSearchBox"><app-search-box [resetSearchTextToSearchBox]="resetSearchTextToSearchBox"></app-search-box></span>
      <div class="zoomBtn"><app-full-screen></app-full-screen></div>
      <div class="alphabet-circle pointer" matTooltip="User details" matTooltipPosition="left"><span class="alphabet-circle-text uppercase">{{roleAlphabet}}</span></div>
    </div>
  </nav>

  <div id="userDetailsGrid" *ngIf="userDetails">
    <div class="userDetailsInnerGrid">
      <div class="TAC">
        <span class="value TTC" *ngIf="userDetails.firstName">{{userDetails.firstName}}</span>
        <span class="value TTC" *ngIf="userDetails.lastName"> {{userDetails.lastName}}</span>
      </div>
      <div class="TAC"><span class="label" *ngIf="userDetails.email">{{userDetails.email}}</span></div>
      <div class="TAC"><span class="label" *ngIf="userDetails.username">{{userDetails.username}}</span></div>
    </div>
    <div  class="UDGF">
      <div class="UDGFIC" style="text-align: left"><span class="UDGFB" id="accountSettingBtn" (click)="navigateToMyProfilePage()">My Profile</span></div>
      <div class="UDGFIC" style="text-align: right"><span class="UDGFB" (click)="logout()">Logout</span></div>
    </div>
  </div>
</span>
